Contenu | Rechercher | Menus
Selon les tags présents sur cette page, les informations qu'elle contient n'ont pas été vérifiées pour les dernières versions LTS depuis Ubuntu 14.04 LTS.
Apportez votre aide…

Ceci est une ancienne révision du document !



Installer Internet Explorer avec IEs4Linux

IEs4Linux est le moyen le plus simple de faire fonctionner Microsoft Internet Explorer (IE) 7, 6, 5.5 et 5 sous Linux (ou n'importe quel système d'exploitation sous lequel tourne Wine). Un simple script et vous aurez 3 versions d'IE pour tester vos sites.

Ce logiciel n'est pas prévu pour être utilisé comme premier navigateur et c'est pourquoi ce programme n'est pas soutenu officiellement et que vous l'utilisez à vos risques et périls. Préférez Firefox ou tout autre navigateur de cette liste fournie de navigateurs.
Playonlinux permet également d'installer IE6 et IE7 via une installation automatisée. Vous pouvez aussi essayer avec Wine-Doors mais cela reste expérimental pour le moment.
Vous devez avoir une licence de Windows (pas nécessairement Windows mais juste la licence) valide afin de pouvoir l'utiliser en toute légalité.

Ce logiciel est destiné aux webmestres pour tester les pages webs sous Linux et s'assurer de leur comportement pour les personnes qui utiliseraient Internet Explorer. Éventuellement, Les personnes qui doivent aller sur des sites médiocres ne fonctionnant qu'avec Internet Explorer pourront trouver là une solution à leur problème.

En pratique, il n'est cependant pas nécessaire de soutenir les veilles versions de Internet Explorer, puisque la version 6 par exemple ne supporte même pas les feuilles de style CSS. Beaucoup de webmestres ne garantissent donc pas la compatibilité avec les versions antérieures à la version 7 de Internet Explorer.

Cette méthode d'installation autorise un poids total réduit parce qu'elle n'inclut que les fichiers nécessaires pour obtenir un bon navigateur de test (il n'y est pas question d'Outlook, de Media Player ou de tout autre programme séparé).

Installation

Installation de Wine et cabextract

Il faut commencer par installer les paquets nécessaires au fonctionnement d'Internet Explorer. Vous aurez donc à installer Wine (si vous ne l'avez pas encore) et cabextract qui permettront de faire tourner des programmes tels que des .exe sur votre système.

Pour ceux qui n'ont pas installé Wine, rendez vous sur cette page.

Il vous suffit ensuite d'installez les paquets wine cabextract python-gtk2-dev

Installation de IEs4Linux en ligne de commande

Suite à l'installation de Wine et cabextract, il ne reste plus qu'a installer IEs4Linux. Pour cela, ouvrez un terminal, et suivez cette procédure :

wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
tar zxvf ies4linux-latest.tar.gz
cd ies4linux-*
./ies4linux
Il peut être nécessaire de lancer ies4linux en mode sudo afin de ne pas voir apparaître le message suivant : .ies4linux/downloads/mfc42.cab: No such file or directory

Désormais une interface graphique est disponible. Dans les options avancées, vous pouvez cocher la case "Installer Internet Explorer 7.0". Si erreur de téléchargement (0%), options avancées puis Wget Flags et mettre : -Y off -c

Attention, cette option est encore en version bêta pour de plus amples précisions allez voir sur l'espace BETA de ie4linux.
Lors de l'installation désactivez compiz/fusion pour éviter un wizard vide.

Affichage des png

Il se peut qu'il y ait un problème d'affichage avec les png (même ceux qui n'ont pas un pixel de transparence). Pour résoudre ce problème, exécutez ceci dans le terminal

WINEPREFIX="$HOME/.ies4linux/ie6" wine regsvr32 "C:\windows\system32\pngfilt.dll"

en remplaçant ie6 par la version qui pose problème.

Désinstallation

Pour désinstaller ie4linux, rien de plus simple. Il suffit simplement de supprimer :

  • Le dossier ~/.ies4linux
  • Les executables de ie4linux (ie5.5, ie5 ou ie6) contenus dans le dossier ~/bin
  • Les raccourcis du programme qui sont situés sur le bureau.

C'est suffisant ! Votre programme est proprement désinstallé !

Bugs connus

À l'installation s'affiche

ome/shai/.ies4linux/downloads/ie6/EN-US/ADVAUTH.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/CRLUPD.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/HHUPD.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/IEDOM.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/IE_EXTRA.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/IE_S*.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/SETUPW95.CAB: No such file or directory
/home/shai/.ies4linux/downloads/ie6/EN-US/VGX.CAB: No such file or directory
An error occured when trying to cabextract some files.

(ou équivalent)

La solution: http://ubuntuforums.org/showthread.php?p=4702250

Je n'ai pas réussi à installer en suivant cette doc sur karmic koala (à cause d'un segfault de gtk2 et d'un fichier hhupd.cab corompu), la solution que j'ai trouvé consiste à ne pas passer par l'interface d'installation graphique et à utiliser les locale en-us au lieu de fr.

remplacez la commande pour l'installation par:

./ies4linux --no-gui --locale en-us

Liens



Le contenu de ce wiki est sous licence : CC BY-SA v3.0